## libjcat 0.1.4

=== meson_options.txt ===
option('gtkdoc', type : 'boolean', value : false, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('man', type : 'boolean', value : true, description : 'enable man pages')

## libjcat 0.1.0

=== debian/changelog ===
libjcat (0.1.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Fix FTBFS:
    - Add missing B-D on help2man (Closes: #955258)
    - jcat-self-test: Sign /etc/os-release instead of /etc/machine-id.
      The autobuilders use a minimal chroot that doesn't necessarily have
      a machine ID, but base-files gives us /etc/os-release.
    (Closes: #955234)
  * Fix -dev package dependencies:
    - libjcat-dev: Add missing -dev dependencies for dependency libraries
    - libjcat-dev: Add missing dependency on a matching libjcat1
    - d/control: Enable gir debhelper sequence.
      Otherwise ${gir:Depends} won't be generated.
  * Install test data so that the installed-tests can pass
  * Add some simple autopkgtest coverage
    (Closes: #955259)

  [ Mario Limonciello ]
  * Backport a few other patches from upstream related to installed-tests
    usage.

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 01 Apr 2020 16:49:21 -0500

libjcat (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #953565)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 23 Mar 2020 08:49:01 -0500

=== debian/control ===
Source: libjcat
Section: libs
Priority: optional
Maintainer: Debian EFI team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper-compat (=12),
	       dh-sequence-gir,
	       help2man,
	       gnutls-bin,
	       gnutls-dev,
	       gobject-introspection,
	       gtk-doc-tools,
	       libgirepository1.0-dev,
	       libglib2.0-dev,
	       libglib2.0-dev-bin,
	       libgpgme11-dev,
	       libjson-glib-dev,
	       meson,
	       ninja-build,
	       pkg-config,
	       valac
Standards-Version: 4.5.0
Homepage: https://github.com/hughsie/libjcat
Vcs-Git: https://salsa.debian.org/efi-team/libjcat.git
Vcs-Browser: https://salsa.debian.org/efi-team/libjcat

Package: gir1.2-jcat-1.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libjcat
 This package provides the introspection data for libjcat.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libjcat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gir1.2-jcat-1.0 (= ${binary:Version}),
         gnutls-dev,
         libglib2.0-dev,
         libgpgme11-dev,
         libjcat1 (= ${binary:Version}),
         libjson-glib-dev,
Description: development files for libjcat
 This package provides development libraries for libjcat.
 .
 The libjcat library assembles checksum and metadata into a JSON based catalog.
 .
 This is used by other software to validate metadata.

Package: libjcat1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JSON catalog library
 The libjcat library assembles checksum and metadata into a JSON based catalog.
 .
 This is used by other software to validate metadata.

Package: jcat
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JSON catalog library tool
 The libjcat library assembles checksum and metadata into a JSON based catalog.
 .
 This tool is used to interact with the library to analyze and produce JCAT
 files.

Package: libjcat-tests
Architecture: any
Depends: libjcat1 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Installed tests for libjcat1
 The libjcat library assembles checksum and metadata into a JSON based catalog.
 .
 This package contains the installed tests for libjcat1.

## libjcat 0.1.3

=== debian/changelog ===
libjcat (0.1.3-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Aug 2020 02:05:10 -0400

libjcat (0.1.3-2) unstable; urgency=medium

  * Remove unused {shlibs:Depends}

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 11 Aug 2020 10:30:12 -0500

libjcat (0.1.3-1) unstable; urgency=medium

  * New upstream version.
    - Fixes CVE-2020-10759

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Jun 2020 09:10:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libjcat
 Section: libs
 Priority: optional
-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper-compat (=12),
@@ -43,7 +44,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          gir1.2-jcat-1.0 (= ${binary:Version}),
          gnutls-dev,
          libglib2.0-dev,

## libjcat 0.1.4

=== debian/changelog ===
libjcat (0.1.4-0ubuntu0.20.04.1) focal; urgency=medium

  * Don't fail verification if compiled without an engine (LP: #1961864)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 24 Feb 2022 08:20:23 +0800

libjcat (0.1.3-2~ubuntu20.04.1) focal; urgency=medium

  * no change rebuild in focal (LP: #1920724)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 15 Mar 2021 22:34:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libjcat
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>

=== debian/tests/control ===
Tests: libjcat-tests
Depends: gnome-desktop-testing, libjcat-tests

Tests: libjcat-dev
Depends: build-essential, libjcat-dev, pkg-config
Restrictions: allow-stderr superficial

## libjcat 0.1.9

=== meson_options.txt ===
option('gtkdoc', type : 'boolean', value : false, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('vapi', type : 'boolean', value : true, description : 'enable VAPI')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('cli', type : 'boolean', value : true, description : 'build and install the jcat-tool CLI')

=== debian/changelog ===
libjcat (0.1.9-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove Section on libjcat1 that duplicates source.

  [ Mario Limonciello ]
  * Upgrade to 0.1.9 release. (LP: #1943833)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Jan 2022 14:57:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libjcat
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper-compat (=12),
@@ -58,7 +57,6 @@
  This is used by other software to validate metadata.
 
 Package: libjcat1
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -88,4 +86,3 @@
  The libjcat library assembles checksum and metadata into a JSON based catalog.
  .
  This package contains the installed tests for libjcat1.
-

## libjcat 0.2.0

=== debian/changelog ===
libjcat (0.2.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:50:47 +0000

libjcat (0.2.0-2build2) noble; urgency=medium

  * No-change rebuild against libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 17:05:46 +0100

libjcat (0.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:23:44 +0000

libjcat (0.2.0-2) unstable; urgency=medium

  * Backport a patch from upstream to fix the installed tests.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 17 Jan 2024 08:52:30 -0600

libjcat (0.2.0-1) unstable; urgency=medium

  * Upgrade to 0.2.0 release.

 -- Mario Limonciello <superm1@gmail.com>  Sun, 14 Jan 2024 10:50:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libjcat
 Section: libs
 Priority: optional
-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper-compat (=12),

## libjcat 0.2.3

=== debian/changelog ===
libjcat (0.2.3-2) unstable; urgency=medium

  * d/control: bump standards version
  * d/control: changes for build-dependency on libgirepository1.0-dev
    (Closes: #1118873)

 -- Mario Limonciello <superm1@debian.org>  Sat, 25 Oct 2025 14:12:39 -0500

libjcat (0.2.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches upstream
  * d/control: B-d on pkgconf instead of pkg-config

 -- Mario Limonciello <superm1@gmail.com>  Wed, 19 Mar 2025 09:47:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: libjcat
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
 	       dh-sequence-gir,
 	       help2man,
 	       gnutls-bin,
 	       gnutls-dev,
-	       gobject-introspection,
 	       gtk-doc-tools,
-	       libgirepository1.0-dev,
+	       gir1.2-gio-2.0-dev,
+	       gir1.2-gobject-2.0-dev,
+	       gir1.2-json-1.0-dev,
+	       gobject-introspection (>= 1.80),
 	       libglib2.0-dev,
 	       libglib2.0-dev-bin,
 	       libgpgme11-dev,
 	       libjson-glib-dev,
 	       meson,
 	       ninja-build,
-	       pkg-config,
+	       pkgconf,
 	       valac
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2.0
 Homepage: https://github.com/hughsie/libjcat
 Vcs-Git: https://salsa.debian.org/efi-team/libjcat.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libjcat
@@ -30,7 +31,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${gir:Depends}
+         ${gir:Depends},
+Provides: ${gir:Provides}
 Section: introspection
 Description: GObject introspection data for libjcat
  This package provides the introspection data for libjcat.
@@ -44,12 +46,13 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         gir1.2-jcat-1.0 (= ${binary:Version}),
+         ${gir:Depends},
          gnutls-dev,
          libglib2.0-dev,
          libgpgme11-dev,
          libjcat1 (= ${binary:Version}),
          libjson-glib-dev,
+Provides: ${gir:Provides}
 Description: development files for libjcat
  This package provides development libraries for libjcat.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtkdoc=true

override_dh_install:
	dh_install
	dh_missing --fail-missing

## libjcat 0.2.5

=== debian/changelog ===
libjcat (0.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Backport some patches for PQC detection failures in gnutls
  * d/watch: update to v5

 -- Mario Limonciello <superm1@debian.org>  Mon, 17 Nov 2025 10:26:11 -0600

=== debian/watch ===
Version: 5
Template: Github
Owner: hughsie
Project: libjcat
